<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>TimePlot &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../../_static/doctools.js?v=888ff710"></script>
        <script src="../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" />
    <link rel="next" title="License" href="../../40_license.html" />
    <link rel="prev" title="Statistics" href="10_statistics.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../index.html" class="icon icon-home">
            openPASS
              <img src="../../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../user_guide/10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../user_guide/20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../user_guide/30_configs_in_depth.html">Configs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../user_guide/40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../user_guide/50_scenario_simulation.html">Simulator</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../20_glossary.html">Glossary</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../../30_gui_plugins.html">GUI Plugins</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../10_projects.html">Project</a></li>
<li class="toctree-l2"><a class="reference internal" href="../20_system_editor.html">System Editor</a></li>
<li class="toctree-l2"><a class="reference internal" href="../30_pcm_sim.html">PCM Simulation</a></li>
<li class="toctree-l2"><a class="reference internal" href="../40_pcm_eval.html">PCM Evaluation</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../50_result_visualization.html">Result Visualization</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="10_statistics.html">Statistics</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">TimePlot</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#loading-results">Loading Results</a></li>
<li class="toctree-l4"><a class="reference internal" href="#evaluating-results">Evaluating Results</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../30_gui_plugins.html">GUI Plugins</a></li>
          <li class="breadcrumb-item"><a href="../50_result_visualization.html">Result Visualization</a></li>
      <li class="breadcrumb-item active">TimePlot</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../../_sources/other_information/gui_user_guide/result_visualization/20_timePlot.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="timeplot">
<span id="id1"></span><h1>TimePlot<a class="headerlink" href="#timeplot" title="Link to this heading"></a></h1>
<p>This plugin is used to plot trajectories (position, velocity, etc.) over time.</p>
<section id="loading-results">
<h2>Loading Results<a class="headerlink" href="#loading-results" title="Link to this heading"></a></h2>
<ul class="simple">
<li><p>Click <code class="docutils literal notranslate"><span class="pre">Select</span> <span class="pre">result</span> <span class="pre">folder</span></code> to choose a result folder that contains files in the required format (see below) to be plotted.</p></li>
</ul>
<img alt="../../../_images/overview4.png" src="../../../_images/overview4.png" />
</section>
<section id="evaluating-results">
<h2>Evaluating Results<a class="headerlink" href="#evaluating-results" title="Link to this heading"></a></h2>
<ul>
<li><p>Select an input folder that contains files in this format:</p>
<blockquote>
<div><ul class="simple">
<li><p>Relevant files need ending <code class="docutils literal notranslate"><span class="pre">.csv</span></code></p></li>
<li><p>Columns can be separated by comma, semicolon or space</p></li>
<li><p>First two columns need <em>frame</em> and <em>id*</em> in header</p></li>
</ul>
</div></blockquote>
</li>
<li><p>Select table column to be plotted (up to three)</p></li>
<li><p>For each open tab the selected columns are plotted</p>
<blockquote>
<div><ul class="simple">
<li><p>first column selected is shown on the x-axis</p></li>
<li><p>second column selected is shown on the y-axis</p></li>
<li><p>third column selected is shown on the right y-axis</p></li>
</ul>
</div></blockquote>
</li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<ul class="simple">
<li><p>The track_id items can be selected individually</p></li>
<li><p>Selecting the lowest subfolders yields tabs for all contained tracks</p></li>
<li><p>Selections can be combined with <code class="docutils literal notranslate"><span class="pre">Ctrl+select</span></code> or <code class="docutils literal notranslate"><span class="pre">Shift+select</span></code></p></li>
</ul>
</div>
<img alt="../../../_images/select2.png" src="../../../_images/select2.png" />
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="10_statistics.html" class="btn btn-neutral float-left" title="Statistics" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../../40_license.html" class="btn btn-neutral float-right" title="License" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>